For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI reference
Get startedAPI reference
  • Agent Handler
      • GETList Tool Packs
      • POSTCreate Tool Pack
      • GETGet Tool Pack
      • DELDelete Tool Pack
      • PATCHUpdate Tool Pack
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerTool Packs

Create Tool Pack

POST
https://ah-api.merge.dev/api/v1/tool-packs/
POST
/api/v1/tool-packs/
$curl -X POST https://ah-api.merge.dev/api/v1/tool-packs/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Support Agent Tool Pack",
> "description": "Ticketing connectors for support agent",
> "connectors": [
> {
> "connector_id": "3c90c3c0-6d46-4b50-8888-8dd25736052f",
> "auth_scope": "INDIVIDUAL",
> "tool_names": [
> "create_issue",
> "list_issues"
> ]
> }
> ]
>}'
201Request Example
1{
2 "id": "134e0111-0f67-44f6-98f0-597000290bb3",
3 "name": "Support Agent Tool Pack",
4 "description": "Ticketing connectors for support agent",
5 "connectors": [
6 {
7 "connector_id": "string",
8 "name": "Linear",
9 "slug": "linear",
10 "source_url": "https://linear.app",
11 "logo_url": "https://linear.app/favicon.ico",
12 "categories": [
13 "Project Management"
14 ],
15 "tools": [
16 {
17 "name": "create_issue",
18 "description": "Create a new issue in Linear"
19 }
20 ]
21 }
22 ]
23}
Creates a Tool Pack with connectors
Was this page helpful?
Previous

List Tool Packs

Next

Get Tool Pack

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Request

This endpoint expects an object.
namestringRequired<=255 characters
descriptionstringRequired
connectorslist of objectsOptional

Response

idstringRead-onlyformat: "uuid"
namestring<=255 characters
descriptionstring
connectorslist of objects